/////////////////////////////////////////////////////////////////////////////
//
//  GEM Activity
//
//  A GEMactivity is an interaction with the user through the GEM interface
//  defined by the Menu, optional replacement Desktop, and some Windows.
//
//  This file is Copyright 1992 by Warwick W. Allison,
//  and is freely distributable providing no charge is made.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef GEMA_h
#define GEMA_h

#include "gemm.h"
#include "gemd.h"
#include "gemw.h"
#include <gemfast.h>


class GEMactivity
{
public:
	GEMactivity(GEMmenu&,GEMdesktop&);
	GEMactivity(GEMmenu&);
	~GEMactivity();

	void AddWindow(GEMwindow&);
	void Do();

private:
	GEMmenu *Menu;
	GEMdesktop *Desk;
	struct WL {
		GEMwindow *Window;
		struct WL *Next;

		WL(GEMwindow *Wind, WL *n) : Window(Wind), Next(n) {}
	} *W=0;
	GEMwindow* Window(int ID);
};

#endif
